# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLTableCaptionElement Class Reference

Table caption See the CAPTION element definition in HTML 4.0. More...

`#include <html_table.h>`

Inheritance diagram for DOM::HTMLTableCaptionElement:

[legend]
Collaboration diagram for DOM::HTMLTableCaptionElement:

[legend]
List of all members.

## Public Member Functions

| HTMLTableCaptionElement (const HTMLTableCaptionElement &other)
| HTMLTableCaptionElement (const Node &other)
HTMLTableCaptionElement & | operator= (const HTMLTableCaptionElement &other)
HTMLTableCaptionElement & | operator= (const Node &other)
DOMString | align () const
void | setAlign (const DOMString &)

## Protected Member Functions

| HTMLTableCaptionElement (HTMLTableCaptionElementImpl *impl)

## Friends

class | HTMLTableElement

## Detailed Description

Table caption See the CAPTION element definition in HTML 4.0.

Definition at line 47 of file html_table.h.

## Member Function Documentation

DOMString HTMLTableCaptionElement::align | ( |  | ) | const

| Caption alignment with respect to the table. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 62 of file html_table.cpp.

void HTMLTableCaptionElement::setAlign | ( | const DOMString & |  | ) |

| see align Definition at line 68 of file html_table.cpp.

The documentation for this class was generated from the following files:

- html_table.h
- html_table.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:30 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003